std::atomic::operatorT(3)

NAME
std::atomic::operatorT - std::atomic::operatorT

Synopsis
   operator T() const noexcept; (1) (since C++11)
   operator T() const volatile noexcept; (2) (since C++11)
   Atomically loads and returns the current value of the atomic variable. Equivalent to
   load().
   It is deprecated if std::atomic<T>::is_always_lock_free is false and (since C++20)
   overload (2) participates in overload resolution.

Parameters
   (none)

Return value
   The current value of the atomic variable.

See also
   load atomically obtains the value of the atomic object
        (public member function)